function bt_polyh_plotpt1 (obj,opt)
	% -- function for internal use
	%
	%    see also http://bensolve.org/files/manual.pdf	
	r=size(obj.vrepdata.V,2);
	s=size(obj.vrepdata.D,2);
	if r+s~=2 || s==2
		error('unexpected error');
	end
	if s==1
		obj.vrepdata.V=[obj.vrepdata.V, obj.vrepdata.V+opt.dirlength*bt_polyh_normed(obj.vrepdata.D)];
	end
	x=obj.vrepdata.V';
	y=obj.vrepdata.V(:,1:r)';
	
	warning('off'); %#ok
	clf
	hold on
	for i=1:obj.lindim
		xx=obj.vrepdata.V(:,r)+obj.vrepdata.L(:,i);
		yy=obj.vrepdata.V(:,r)-obj.vrepdata.L(:,i);
		for j=1:size(xx,2)
			if obj.sdim==2
				line([xx(1,j),yy(1,j)] , [xx(2,j),yy(2,j)] ,'color',opt.linealityspacecolor,'linewidth',2);
			elseif obj.sdim==3
				line([xx(1,j),yy(1,j)],[xx(2,j),yy(2,j)],[xx(3,j),yy(3,j)],'color',opt.linealityspacecolor,'linewidth',2);
			end
		end
	end
	if obj.sdim==1
		% line(x(1:2,1),zeros(2,1),'color',opt.edgecolor,'linewidth',opt.edgewidth);
		% if opt.vertexsize1>0
		% 	scatter(y(:,1),zeros(size(y,1),1),opt.vertexsize1,[0 0 0],'filled');
		% end
		if r==2
			fprintf('no plot for space dimension 1: polyhedron has dimension 1 and is the interval [%g,%g]\n',x(1,1),x(2,1));
		elseif r==1 && obj.vrepdata.D > 0
			fprintf('no plot for space dimension 1: polyhedron has dimension 1 and is the interval [%g,infty)\n',x(1,1));
		elseif r==1 && obj.vrepdata.D < 0
			fprintf('no plot for space dimension 1: polyhedron has dimension 1 and is the interval (-infty,%g]\n',x(1,1));
		else
			error('unexpected error');
		end
	elseif obj.sdim==2
		line(x(1:2,1),x(1:2,2),'color',opt.color,'linewidth',opt.edgewidth);
		if opt.vertexsize1>0
			scatter(y(:,1),y(:,2),opt.vertexsize1,[0 0 0],'filled');
		end	
	elseif obj.sdim==3
		view ([4 -5 2]);
		line(x(1:2,1),x(1:2,2),x(1:2,3),'color',opt.color,'linewidth',opt.edgewidth);
		if opt.vertexsize1>0
			scatter3(y(:,1),y(:,2),y(:,3),opt.vertexsize1,[0 0 0],'filled');
		end
	end
	hold off
end