function bt_polyh_plotpt3(obj,opt)
	% -- function for internal use
	%
	%    see also http://bensolve.org/files/manual.pdf
	
	r=size(obj.vrepdata.V,2);
	s=size(obj.vrepdata.D,2);
	
	% insert new points
	[a,b]=find(obj.adjdata.bit(1:r,r+1:r+s));
	obj.vrepdata.V=[obj.vrepdata.V, zeros(obj.sdim,length(a))];
	for k=1:length(a)
		obj.vrepdata.V(:,r+k)=obj.vrepdata.V(:,a(k))+opt.dirlength*bt_polyh_normed(obj.vrepdata.D(:,b(k)));
		obj.incdata.bit(:,r+s+k)=all(full(obj.incdata.bit(:,[a(k),r+b(k)])),2);
	end
	% delete directions
	obj.vrepdata.D=zeros(obj.sdim,0);
	obj.incdata.bit(:,r+1:r+s)=[];
	obj.incdata.list=bt_polyh_bit2cell(obj.incdata.bit);
	obj.incdata.list=bt_polyh_incsort(obj.incdata.list);
	mat=inc2mat(obj.incdata.list,NaN);
	vert=obj.vrepdata.V';
	y=obj.vrepdata.V(:,1:r)';
	
	if opt.graphmode
		mat=mat(abs(obj.hrepdata.B(:,end))>1e-5,:);
	end
	
	warning('off'); %#ok
	clf
	view ([4 -5 2]);
	hold on
	patch('Vertices',vert,'Faces',mat,'FaceColor',opt.color);
	if opt.vertexsize3>0
		scatter3(y(:,1),y(:,2),y(:,3),opt.vertexsize,[0 0 0],'filled');
	end
	hold off
end

function mat = inc2mat(inc,tag)
	q=size(inc,2);
	p=0;
	for i=1:q
		if length(inc{1,i})>p
			p=length(inc{1,i});
		end	
	end
	mat=tag*ones(q,p);
	for i=1:q
		mat(i,1:length(inc{1,i}))=inc{1,i};
	end
end
