function obj=space(dim)
	% -- P = space(d)    whole space polyhedron
	%
	%    Input:
	%      d: space dimension 
	%    Output:
	%      P: space (polyh object)
	%
	%    see also: origin, ball, cube, cone, simplex, point, emptyset, bensolvehedron
	%
	%    for further details, see http://bensolve.org/files/manual.pdf
	if dim < 0
		error('nonnegative dimension exptected');
	end
	rep.l = -Inf*ones(dim,1);
	rep.u =  Inf*ones(dim,1);
	obj=polyh(rep,'h');
end